
	instr 9899 ;change to "wg_reverb" when named instrs work ?

; k-rate parameters initialization
k_inlevl	= 0.2 			; input level
k_outlevl	= 0.5  			; output level
k_pDly		= 40  			; pre delay (millisecs)
k_FB_gain	= 0.9			; feedback gain in reverb, affects reverb time
k_LF_rolloff	= 140 			; low frequency rolloff (hertz)
k_HF_cut	= 7000			; high frequency cutoff (hertz)
k_pitchmod	= 0.98 			; pitch modulation of reverb
k_pan		= 0.5 			; stereo pan of output

a1		chnget "AuxReverbSend"		; input signal

#include "inc/efx_wgreverb.inc"

; ************ Send to output *********************************        

	chnmix	aoutL * (1-k_pan), "MasterOutLeft"
	chnmix	aoutR * k_pan, "MasterOutRight"

	endin
;****************************************************************


