

#define readParm(A'B)#
; read parameter as sum of 
; control signal + (control signal * control random deviation)
; The chn "basename" specified by $B argument,
; the other chn name is "basename" + rDev.
; Output to variable named by $A argument
	kParm	chnget		$B
	SRdev	strcat		$B, "Rdev"
	kDevAmt	chnget		SRdev
	kDev	rspline	-kDevAmt, kDevAmt, 1, 15		; random deviation, bipolar, slow/medium change rate
	kDev	limit	kDev, (-kDevAmt*0.999), (kDevAmt*0.999)
	$A	= kParm + (kParm*kDev)		; add random deviation 
#


#define readParmOffsetDev(A'B)#
; read parameter as sum of 
; control signal + control random deviation
; The chn "basename" specified by $B argument,
; the other chn name is "basename" + rDev.
; Output to variable named by $A argument
	kParm	chnget		$B
	SRdev	strcat		$B, "Rdev"
	kDevAmt	chnget		SRdev
	kDev	rspline	0.2, 0.999, 2, 10		; random deviation, positive values only, slow/medium change rate
	kDev	limit	kDev, 0, 0.999
	$A	= kParm + (kDev*kDevAmt)	; scale and add random deviation 
#
