
;****************************************************************
; dry out, stereo
;****************************************************************
	instr 9999

	; read audio from chn audio master out channels
	a1	chnget	"MasterOutLeft"
	a2	chnget	"MasterOutRight"

	kMasterLevel	chnget	"MasterLevel"

	; apply master amplitude scaling
	a1	= a1 * kMasterLevel * 0dbfs
	a2	= a2 * kMasterLevel * 0dbfs

	; audio out
	outch	1, a1, 2, a2

	; clear chn channels used for mixing (other chn channels are used in overwrite mode, and does not need to be cleared)
	chnclear	"MasterOutLeft"
	chnclear	"MasterOutRight"
	chnclear	"AuxReverbSend"
	endin

;****************************************************************
